# Google Cloud Compute V1 API - Class Google::Cloud::Compute::V1::InstanceGroupAggregatedList (v3.7.0)

3.7.0 (latest) 3.6.0 3.5.0 3.4.0 3.3.0 3.2.0 3.1.0 3.0.0 2.22.0 2.21.1 2.20.0 2.19.1 2.18.0 2.17.0 2.16.0 2.15.0 2.14.0 2.13.0 2.12.0 2.11.0 2.10.0 2.9.0 2.8.0 2.7.2 2.6.0 2.5.0 2.4.0 2.3.0 2.2.0 2.1.0 2.0.0 1.10.0 1.9.0 1.8.0 1.7.1 1.6.0 1.5.0 1.4.0 1.3.0 1.2.0 1.1.0 1.0.0 0.5.0 Reference documentation and code samples for the Google Cloud Compute V1 API class Google::Cloud::Compute::V1::InstanceGroupAggregatedList.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #id

    def id() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] Unique identifier for the resource; defined by the server.

### #id=

    def id=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] Unique identifier for the resource; defined by the server.
**Returns**

- (::String) --- Output only. \[Output Only\] Unique identifier for the resource; defined by the server.

### #items

    def items() -> ::Google::Protobuf::Map{::String => ::Google::Cloud::Compute::V1::InstanceGroupsScopedList}

**Returns**

- (::Google::Protobuf::Map{::String =\> ::Google::Cloud::Compute::V1::InstanceGroupsScopedList}) --- A list of InstanceGroupsScopedList resources.

### #items=

    def items=(value) -> ::Google::Protobuf::Map{::String => ::Google::Cloud::Compute::V1::InstanceGroupsScopedList}

**Parameter**

- **value** (::Google::Protobuf::Map{::String =\> ::Google::Cloud::Compute::V1::InstanceGroupsScopedList}) --- A list of InstanceGroupsScopedList resources.
**Returns**

- (::Google::Protobuf::Map{::String =\> ::Google::Cloud::Compute::V1::InstanceGroupsScopedList}) --- A list of InstanceGroupsScopedList resources.

### #kind

    def kind() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] The resource type, which is alwayscompute#instanceGroupAggregatedList for aggregated lists of instance groups.

### #kind=

    def kind=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] The resource type, which is alwayscompute#instanceGroupAggregatedList for aggregated lists of instance groups.
**Returns**

- (::String) --- Output only. \[Output Only\] The resource type, which is alwayscompute#instanceGroupAggregatedList for aggregated lists of instance groups.

### #next_page_token

    def next_page_token() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

### #next_page_token=

    def next_page_token=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
**Returns**

- (::String) --- Output only. \[Output Only\] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

### #self_link

    def self_link() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] Server-defined URL for this resource.

### #self_link=

    def self_link=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] Server-defined URL for this resource.
**Returns**

- (::String) --- Output only. \[Output Only\] Server-defined URL for this resource.

### #unreachables

    def unreachables() -> ::Array<::String>

**Returns**

- (::Array\<::String\>) --- Output only. \[Output Only\] Unreachable resources.

### #unreachables=

    def unreachables=(value) -> ::Array<::String>

**Parameter**

- **value** (::Array\<::String\>) --- Output only. \[Output Only\] Unreachable resources.
**Returns**

- (::Array\<::String\>) --- Output only. \[Output Only\] Unreachable resources.

### #warning

    def warning() -> ::Google::Cloud::Compute::V1::Warning

**Returns**

- ([::Google::Cloud::Compute::V1::Warning](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-compute-v1/latest/Google-Cloud-Compute-V1-Warning)) --- Output only. \[Output Only\] Informational warning message.

### #warning=

    def warning=(value) -> ::Google::Cloud::Compute::V1::Warning

**Parameter**

- **value** ([::Google::Cloud::Compute::V1::Warning](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-compute-v1/latest/Google-Cloud-Compute-V1-Warning)) --- Output only. \[Output Only\] Informational warning message.
**Returns**

- ([::Google::Cloud::Compute::V1::Warning](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-compute-v1/latest/Google-Cloud-Compute-V1-Warning)) --- Output only. \[Output Only\] Informational warning message.